Package org.eclipse.emf.cdo.explorer

## Interface CDOExplorerManager.ElementsChangedEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    CDOExplorerManager<T extends CDOExplorerElement>

      public static interface CDOExplorerManager.ElementsChangedEvent
      extends org.eclipse.net4j.util.event.IEvent

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CDOExplorerManager.ElementsChangedEvent.StructuralImpact` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object[]` | `getChangedElements()` |
    `CDOExplorerManager<?>` | `getSource()` |
    `CDOExplorerManager.ElementsChangedEvent.StructuralImpact` | `getStructuralImpact()` |

- - ### Method Detail

    - #### getSource

          CDOExplorerManager<?> getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

    - #### getStructuralImpact

          CDOExplorerManager.ElementsChangedEvent.StructuralImpact getStructuralImpact()

    - #### getChangedElements

          java.lang.Object[] getChangedElements()